Bug 207383 - Invalid Systems Credentials System not Even Registered Error Class Code :9
Invalid Systems Credentials System not Even Registered Error Class Code :9
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
http://www.computers.us.fujitsu.com/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 17:30 EDT by Bill
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill 2006-09-20 17:30:21 EDT
Description of problem:
up2date fails 
System id is 1006193791
Not a registered system but still fails up2date

Linux fscdnld 2.4.21-4.EL #1 Fri Oct 3 18:13:58 EDT 2003 i686 i686 i386 
GNU/Linux

[root@fscdnld root]# up2date --register

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1165, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 674, in main
    from up2date_client import gui
  File "gui.py", line 16, in ?
  File "/usr/share/rhn/__init__.py", line 39, in ?
    File "/usr/share/rhn/__init__.py", line 39, in ?
ImportError: libgthread-2.0.so.0: cannot open shared object file: No such file 
or directory

[root@fscdnld root]# rhn_register

Traceback (most recent call last):
  File "/usr/sbin/rhn_register", line 1165, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/rhn_register", line 674, in main
    from up2date_client import gui
  File "gui.py", line 16, in ?
  File "/usr/share/rhn/__init__.py", line 39, in ?
    File "/usr/share/rhn/__init__.py", line 39, in ?
ImportError: libgthread-2.0.so.0: cannot open shared object file: No such file 
or directory

[root@fscdnld root]# up2date 

Unable to open gui. Try `up2date --nox`

Error Message:
    Please run rhn_register (or up2date --register on Red Hat Enterprise Linux 
3
 or later)
as root on this client
Error Class Code: 9
Error Class Info: Invalid System Credentials.
Explanation: 
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

[root@fscdnld root]# up2date --nox --version

Red Hat Update Agent v4.0.1
Copyright (C) 1999-2002 Red Hat, Inc.
Licensed under terms of the GPL.


Version-Release number of selected component (if applicable):
Redhat Enterprise 3.0 EL

How reproducible:
Run up2date
Unable to update up2date as well.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Red Hat Bugzilla 2007-04-11 21:15:29 EDT
User bnackash@redhat.com's account has been closed
Comment 2 RHEL Product and Program Management 2007-10-19 14:41:11 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.